import fs from 'fs/promises'
import JSZip from "jszip";
import { compileBundleFile } from './compiler';

export async function installServiceUpdate(pathToUpdate : string) {
    let data = await fs.readFile(pathToUpdate);
    let zip = await JSZip.loadAsync(data);
    await compileBundleFile(zip);
    await fs.unlink(pathToUpdate);
}
